import { ElementRef } from '@angular/core';
import { ControlValueAccessorDirective } from "../../../directives/control-value-accessor.directive";
import { InputType } from "../../../types/input-type";
import * as i0 from "@angular/core";
export declare class InputComponent<T> extends ControlValueAccessorDirective<T> {
    inputId: string;
    label: string;
    placeholder: string;
    inputType: InputType;
    autocomplete: string;
    customErrorMessages: Record<string, string>;
    inputElement: ElementRef;
    focusInputComponent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent<any>, "lib-input", never, { "inputId": { "alias": "inputId"; "required": true; }; "label": { "alias": "label"; "required": true; }; "placeholder": { "alias": "placeholder"; "required": false; }; "inputType": { "alias": "inputType"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; "customErrorMessages": { "alias": "customErrorMessages"; "required": false; }; }, {}, never, never, true, never>;
}
